Index: src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistration.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistration.java	(revision 2384)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistration.java	(revision 2385)
@@ -98,9 +98,7 @@
 
     // Check validity of the Harvest List URL field    
     if (documentListURL.equals("")) {
-      out.println(
-              "A value must be specified in the Harvest List URL field"
-                 );
+      out.println("A value must be specified in the Harvest List URL field");
       validValues = false;
     }
 
@@ -159,7 +157,7 @@
     Date dnh;                          // Date of next harvest
     Date now;                          // Today's date
     String query;
-		Statement stmt;
+    Statement stmt;
     long timeNextHarvest;
     SimpleDateFormat writeFormat = new SimpleDateFormat("dd-MMM-yyyy");
     
@@ -179,30 +177,30 @@
     dnh = new Date(timeNextHarvest);
     dateNextHarvest = writeFormat.format(dnh);
 	
-		try {
-			stmt = conn.createStatement();							
-			query = "insert into HARVEST_SITE_SCHEDULE " +
-      "(SITE_SCHEDULE_ID, CONTACT_EMAIL, DOCUMENTLISTURL, LDAPDN, LDAPPWD, " +
-      "UNIT, UPDATEFREQUENCY, DATENEXTHARVEST) " +
-      "values(" + siteScheduleID + "," +
-                  quoteString(contactEmail) + "," +
-                  quoteString(documentListURL) + "," +
-                  quoteString(ldapDN) + "," +
-                  quoteString(ldapPwd) + "," +
-                  quoteString(unit) + "," +
-                  updateFrequency + "," +
-                  quoteString(dateNextHarvest) + ")";
+    try {
+      stmt = conn.createStatement();
+      query = "insert into HARVEST_SITE_SCHEDULE " +
+        "(SITE_SCHEDULE_ID, CONTACT_EMAIL, DOCUMENTLISTURL, LDAPDN, LDAPPWD, " +
+        "UNIT, UPDATEFREQUENCY, DATENEXTHARVEST) " +
+        "values(" + siteScheduleID + "," +
+        quoteString(contactEmail) + "," +
+        quoteString(documentListURL) + "," +
+        quoteString(ldapDN) + "," +
+        quoteString(ldapPwd) + "," +
+        quoteString(unit) + "," +
+        updateFrequency + "," +
+        quoteString(dateNextHarvest) + ")";
                   
       System.out.println(query);
       stmt.executeUpdate(query);
-			stmt.close();
+      stmt.close();
       reportResults(out, ldapDN, contactEmail, documentListURL, updateFrequency,
                     unit, dateNextHarvest);
-		}
+    }
     catch(SQLException e) {
-			System.out.println("SQLException: " + e.getMessage());
-		}
-   }
+      System.out.println("SQLException: " + e.getMessage());
+	}
+  }
    
 
   /**
@@ -221,10 +219,10 @@
     String query = "DELETE FROM HARVEST_SITE_SCHEDULE WHERE " +
                    "SITE_SCHEDULE_ID=" + siteScheduleID;
     int nRecords = 0;
-		Statement stmt;
+	Statement stmt;
      
-		try {
-			stmt = conn.createStatement();
+	try {
+      stmt = conn.createStatement();
       System.out.println(query);
       nRecords = stmt.executeUpdate(query);
       stmt.close();
@@ -237,11 +235,11 @@
         out.println("A problem was encountered removing registration for user " 
                     + ldapDN);
       }
-		}
+    }
     catch(SQLException e) {
-			System.out.println("SQLException: " + e.getMessage());
-		}
-   }
+      System.out.println("SQLException: " + e.getMessage());
+    }
+  }
    
 
   /**
@@ -275,10 +273,10 @@
     Date dlh;                          // Date of last harvest
     Date dnh;                          // Date of next harvest
     Date now = new Date();             // Today's date
-//    SimpleDateFormat readFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss.S");
+//  SimpleDateFormat readFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss.S");
     SimpleDateFormat readFormat = new SimpleDateFormat("yyyy-MM-dd");
     SimpleDateFormat writeFormat = new SimpleDateFormat("dd-MMM-yyyy");
-		Statement stmt;
+    Statement stmt;
     long timeLastHarvest;
     long timeNextHarvest;
     long timeNow = now.getTime();
@@ -314,34 +312,34 @@
     dnh = new Date(timeNextHarvest);
     dateNextHarvest = writeFormat.format(dnh);
 	
-		try {
-			stmt = conn.createStatement();							
-			stmt.executeUpdate("UPDATE HARVEST_SITE_SCHEDULE SET CONTACT_EMAIL=" +
+    try {
+      stmt = conn.createStatement();
+      stmt.executeUpdate("UPDATE HARVEST_SITE_SCHEDULE SET CONTACT_EMAIL=" +
                          quoteString(contactEmail) +
                          " WHERE SITE_SCHEDULE_ID = " + siteScheduleID);
-			stmt.executeUpdate("UPDATE HARVEST_SITE_SCHEDULE SET DOCUMENTLISTURL=" +
+      stmt.executeUpdate("UPDATE HARVEST_SITE_SCHEDULE SET DOCUMENTLISTURL=" +
                          quoteString(documentListURL) +
                          " WHERE SITE_SCHEDULE_ID = " + siteScheduleID);
-			stmt.executeUpdate("UPDATE HARVEST_SITE_SCHEDULE SET LDAPPWD=" +
+      stmt.executeUpdate("UPDATE HARVEST_SITE_SCHEDULE SET LDAPPWD=" +
                          quoteString(ldapPwd) +
                          " WHERE SITE_SCHEDULE_ID = " + siteScheduleID);
-			stmt.executeUpdate("UPDATE HARVEST_SITE_SCHEDULE SET UNIT=" +
+      stmt.executeUpdate("UPDATE HARVEST_SITE_SCHEDULE SET UNIT=" +
                          quoteString(unit) +
                          " WHERE SITE_SCHEDULE_ID = " + siteScheduleID);
-			stmt.executeUpdate("UPDATE HARVEST_SITE_SCHEDULE SET UPDATEFREQUENCY=" +
+      stmt.executeUpdate("UPDATE HARVEST_SITE_SCHEDULE SET UPDATEFREQUENCY=" +
                          updateFrequency +
                          " WHERE SITE_SCHEDULE_ID = " + siteScheduleID);
-			stmt.executeUpdate("UPDATE HARVEST_SITE_SCHEDULE SET DATENEXTHARVEST=" +
+      stmt.executeUpdate("UPDATE HARVEST_SITE_SCHEDULE SET DATENEXTHARVEST=" +
                          quoteString(dateNextHarvest) +
                          " WHERE SITE_SCHEDULE_ID = " + siteScheduleID);
-			stmt.close();
+      stmt.close();
       reportResults(out, ldapDN, contactEmail, documentListURL, updateFrequency,
                     unit, dateNextHarvest);
-		}
+    }
     catch(SQLException e) {
-			System.out.println("SQLException: " + e.getMessage());
-		}
-     
+      System.out.println("SQLException: " + e.getMessage());
+    }
+ 
   }
    
 
@@ -365,7 +363,7 @@
     String ldapPwd;
     String query;
     int siteScheduleID;
-		Statement stmt;
+    Statement stmt;
     String unit = "days";
     int updateFrequency = 1;
 
@@ -389,22 +387,22 @@
       query = "SELECT * FROM HARVEST_SITE_SCHEDULE WHERE SITE_SCHEDULE_ID=" +
               siteScheduleID;
       
-		  try {
-			  stmt = conn.createStatement();							
-			  ResultSet rs = stmt.executeQuery(query);
-	
-			  while (rs.next()) {
+      try {
+        stmt = conn.createStatement();
+        ResultSet rs = stmt.executeQuery(query);
+        
+        while (rs.next()) {
           contactEmail = rs.getString("CONTACT_EMAIL");
           documentListURL = rs.getString("DOCUMENTLISTURL");
           updateFrequency = rs.getInt("UPDATEFREQUENCY");
           unit = rs.getString("UNIT");
         }
-
-			  stmt.close();	
-		  }
+        
+        stmt.close();
+      }
       catch (SQLException ex) {
-			  System.out.println("SQLException: " + ex.getMessage());
-		  }
+        System.out.println("SQLException: " + ex.getMessage());
+      }
     }
 
     res.setContentType("text/html");
@@ -635,24 +633,24 @@
     String dateLastHarvest = "";
     String query = "SELECT DATELASTHARVEST FROM HARVEST_SITE_SCHEDULE " +
                    "WHERE SITE_SCHEDULE_ID=" + siteScheduleID;
-		Statement stmt;
+	Statement stmt;
     
-		try {
-			stmt = conn.createStatement();							
-			ResultSet rs = stmt.executeQuery(query);
+	try {
+      stmt = conn.createStatement();
+      ResultSet rs = stmt.executeQuery(query);
 	
-			while (rs.next()) {
+      while (rs.next()) {
         dateLastHarvest = rs.getString("DATELASTHARVEST");
         if (rs.wasNull()) {
           dateLastHarvest = "";  // Convert null value to empty string
         }
-			}
-
-			stmt.close();	
-		}
+      }
+      
+      stmt.close();
+    }
     catch (SQLException ex) {
-			System.out.println("SQLException: " + ex.getMessage());
-		}
+      System.out.println("SQLException: " + ex.getMessage());
+    }
     
     return dateLastHarvest;
   }
@@ -669,23 +667,23 @@
   private int getMaxValue(Connection conn, String tableName, String fieldName) {
     int maxValue = 0;
     int fieldValue;
-		String query = "SELECT " + fieldName + " FROM " + tableName;
-		Statement stmt;
+    String query = "SELECT " + fieldName + " FROM " + tableName;
+    Statement stmt;
     
-		try {
-			stmt = conn.createStatement();							
-			ResultSet rs = stmt.executeQuery(query);
-	
-			while (rs.next()) {
-				fieldValue = rs.getInt(fieldName);
+    try {
+      stmt = conn.createStatement();
+      ResultSet rs = stmt.executeQuery(query);
+      
+      while (rs.next()) {
+        fieldValue = rs.getInt(fieldName);
         maxValue = Math.max(maxValue, fieldValue);
-			}
-	
-			stmt.close();	
-		} 
+      }
+      
+      stmt.close();
+    } 
     catch (SQLException ex) {
-			System.out.println("SQLException: " + ex.getMessage());
-		}
+      System.out.println("SQLException: " + ex.getMessage());
+    }
     
     return maxValue;
   }
@@ -703,25 +701,26 @@
     String ldapDNValue;                       // value of LDAPDN field
     String query = "SELECT * FROM HARVEST_SITE_SCHEDULE";
     int siteScheduleID = 0;
-		Statement stmt;
+    Statement stmt;
     
-		try {
-			stmt = conn.createStatement();							
-			ResultSet rs = stmt.executeQuery(query);
-	
-			while (rs.next()) {
+    
+    try {
+      stmt = conn.createStatement();
+      ResultSet rs = stmt.executeQuery(query);
+      
+      while (rs.next()) {
         ldapDNValue = rs.getString("LDAPDN");
         
         if (ldapDNValue.equalsIgnoreCase(ldapDN)) {
-				  siteScheduleID = rs.getInt("SITE_SCHEDULE_ID");
+          siteScheduleID = rs.getInt("SITE_SCHEDULE_ID");
         }
-			}
-
-			stmt.close();	
-		}
+      }
+      
+      stmt.close();
+    }
     catch (SQLException ex) {
-			System.out.println("SQLException: " + ex.getMessage());
-		}
+      System.out.println("SQLException: " + ex.getMessage());
+    }
     
     return siteScheduleID;
   }