Index: docs/user/harvester.html
===================================================================
--- docs/user/harvester.html	(revision 2386)
+++ docs/user/harvester.html	(revision 2387)
@@ -236,7 +236,15 @@
   <h5><a name="Running Harvester">Running Harvester</a></h5>
   After Harvester has been appropriately 
   <a href="#Configuring Harvester">configured</a>, 
-  it can be run as follows:
+  it can be run in either of two ways: (A) in a command window, or, (B)
+  as a servlet. If you wish only to test that Harvester is functioning, 
+  or if you expect to use Harvester infrequently, it may desirable to run it from a 
+  command window. However, under most circumstances you will want Harvester to 
+  run continuously as a background servlet process. This eliminates the
+  need to keep a command window continuously open while Harvester is running.
+  Both of these procedures are described below.
+  <ul>
+  <li> (A) Running Harvester in a Command Window
   <ol>
   <li>Open a system command window or terminal window.</li>
   <li>Set the METACAT_HOME environment variable to the value of the Metacat
@@ -263,15 +271,76 @@
         <pre>sh runHarvester.sh</pre></li>
       </ul>
   </li>
-  </ol>
+ </ol>
   <p>The Harvester application will start executing. It will begin its first
   harvest after <code><b>delay</b></code> number of hours (as specified in the
   <a href=../../lib/metacat.properties>metacat.properties</a>
   file). The application will continue running a new harvest every
   <code><b>period</b></code> number of hours until a <code><b>maxHarvests</b></code>
-  number of harvests have been completed.
+  number of harvests have been completed, or until you interrupt the process by
+  hitting CTRL/C in the command window.
   </p>
-  <h5><a name="Reviewing Harvester">
+  </li>
+  <li> (B) Running Harvester as a Servlet
+  <ol>
+  <li>Edit the file in your Metcat installation, <code>lib/web.xml.<em>tomcatN</em></code>, where <em>tomcatN</em> corresponds to the
+  version of Tomcat you are running. For example, if you are running Tomcat 5,
+  edit file <code>lib/web.xml.tomcat5</code>.</li>
+  <li>Remove the comment symbols around the HarvesterServlet entry, so that:
+  <pre><code>
+  &lt;!--
+  &lt;servlet>
+  &lt;servlet-name>HarvesterServlet&lt;/servlet-name>
+  &lt;servlet-class>edu.ucsb.nceas.metacat.harvesterClient.HarvesterServlet&lt;/servlet-class>
+  &lt;init-param>
+    &lt;param-name>debug&lt;/param-name>
+    &lt;param-value>1&lt;/param-value>
+  &lt;/init-param>
+  &lt;init-param>
+    &lt;param-name>listings&lt;/param-name>
+    &lt;param-value>true&lt;/param-value>
+  &lt;/init-param>
+  &lt;load-on-startup>1&lt;/load-on-startup>
+  &lt;/servlet>
+  --&gt;
+  </code></pre>
+  is changed to:
+  <pre><code>
+  &lt;servlet>
+  &lt;servlet-name>HarvesterServlet&lt;/servlet-name>
+  &lt;servlet-class>edu.ucsb.nceas.metacat.harvesterClient.HarvesterServlet&lt;/servlet-class>
+  &lt;init-param>
+    &lt;param-name>debug&lt;/param-name>
+    &lt;param-value>1&lt;/param-value>
+  &lt;/init-param>
+  &lt;init-param>
+    &lt;param-name>listings&lt;/param-name>
+    &lt;param-value>true&lt;/param-value>
+  &lt;/init-param>
+  &lt;load-on-startup>1&lt;/load-on-startup>
+  &lt;/servlet>
+  </code></pre>
+  Save the edited file.
+  </li>
+  <li>Shutdown Tomcat.</li>
+  <li>Redeploy Metacat by running the following two ant commands from the top-level
+  directory of your Metacat installation:
+  <code><pre>
+  ant cleanweb
+  ant install</code></pre>
+  </li>
+  <li>Restart Tomcat.</li>
+ </ol>
+  <p>About thirty seconds after you restart Tomcat, the Harvester servlet will 
+  start executing. It will begin its first
+  harvest after <code><b>delay</b></code> number of hours (as specified in the
+  <a href=../../lib/metacat.properties>metacat.properties</a>
+  file). The servlet will continue running a new harvest every
+  <code><b>period</b></code> number of hours until a <code><b>maxHarvests</b></code>
+  number of harvests have been completed, or until Tomcat shuts down.
+  </p>
+  </li>
+   <h5><a name="Reviewing Harvester">
   Reviewing Harvester Reports to the Harvester Administrator</a></h5>
   <P>
   After every harvest, Harvester will send an email report to the Harvester