Index: lib/style/common/templates/ldapChangePassSuccess.tmpl
===================================================================
--- lib/style/common/templates/ldapChangePassSuccess.tmpl	(revision 2410)
+++ lib/style/common/templates/ldapChangePassSuccess.tmpl	(revision 2411)
@@ -1,6 +1,7 @@
-    <h2>Your password has been changed!</h2>
-    <p>You have successfully changed your account password.
+    <table class="intro" cellpadding="3" cellspacing="0">
+    <tr><td align="left"><span class="emphasis">Your password has been changed!</span></td></tr>
+    <tr><td align="left"><span class="regtext">You have successfully changed your account password.
     Remember it :-) 
-    Thanks for your interest in the KNB!
-    </p>
+    Thank you for your interest in the KNB!
+    </span></td></tr></table>
 
Index: lib/style/common/templates/ldapResetPass.tmpl
===================================================================
--- lib/style/common/templates/ldapResetPass.tmpl	(revision 2410)
+++ lib/style/common/templates/ldapResetPass.tmpl	(revision 2411)
@@ -1,19 +1,26 @@
-    <h2>Forgot your KNB Password?</h2>
-    <p>Fill out the form below to reset your KNB password.  
-    You will need to know your username.  We will change the password
-    for you to a new random password, and email it to you at the 
-    address registered for the account. 
-    </p>
-    <p>Required fields are shown in red.</p>
-    <p class="emphasis">[% errorMessage %]<p>
-    <p>
+    
+  <table class="intro" cellpadding="3" cellspacing="0">
+    <tr><td align="left"><span class="emphasis">Forgot your KNB password?</span></td></tr>
+    <tr><td align="left"><span class="regtext">Enter the required information below to reset your KNB password.  
+    You will need to know your username and organization.  We will change the password
+    for you to a new random password, and send it to you at the e-mail 
+    address registered for the account. Required fields are denoted by an asterisk (*).</td></tr>
+   
+       
+    <tr><td align="left"><span class="label">[% errorMessage %]</td></tr>
+   </table>
+    
+    
+    <table class="intro" cellpadding="3" cellspacing="0"><tr><td>
     <form name="passwdForm" action="@cgiurl@" method="post">
       <input type="hidden" name="stage" value="[% stage %]"/>
       <input type="hidden" name="cfg" value="[% cfg %]"/>
+          
+      <p>&nbsp;</p>
       <table border="0">
         <tr>
-          <td align="left" class="required">
-            Username:
+          <td align="left" class="label">
+            *Username:
           </td>
           <td align="right">
             <input name="uid" type="text"
@@ -23,8 +30,8 @@
           </td>
         </tr>
         <tr>
-          <td align="left" class="required">
-            Organization:
+          <td align="left" class="label">
+            *Organization:
           </td>
           <td align="right">
             <select name="o">
@@ -47,4 +54,4 @@
         </tr>
       </table>
     </form>
-    </p>
+    </td></tr></table>
Index: lib/style/common/templates/ldapChangePass.tmpl
===================================================================
--- lib/style/common/templates/ldapChangePass.tmpl	(revision 2410)
+++ lib/style/common/templates/ldapChangePass.tmpl	(revision 2411)
@@ -1,19 +1,24 @@
-    <h2>Change your KNB Password</h2>
-    <p>Fill out the form below to change your KNB password.  
-    You will need to know your username, your old password, and choose
-    a new password (which is entered twice for confirmation).
-    <a href="@cgiurl@?stage=resetpass&cfg=[% cfg %]">Forgot your password?</a>
-    </p>
-    <p>Required fields are shown in red.</p>
-    <p class="emphasis">[% errorMessage %]<p>
-    <p>
+  
+  <table class="intro" cellpadding="3" cellspacing="0">
+    <tr><td align="left"><span class="emphasis">Change your KNB password</span></td></tr>    
+    <tr><td align="left"><span class="regtext">Enter the required information below to change your KNB password.  
+    You will need to know your username and your old password, and choose a new password (which is entered twice for confirmation). 
+    Required fields are denoted by an asterisk (*).</span></td></tr>
+    <tr><td align="left"><a href="@cgiurl@?stage=initresetpass&cfg=[% cfg %]">Forgot your old password?</a></td></tr>
+    <tr><td align="left"> <span class="label">[% errorMessage %]</span></td></tr>
+  </table>
+    
+    
+    
+   <table class="intro" cellpadding="3" cellspacing="0"><tr><td>
     <form name="passwdForm" action="@cgiurl@" method="post">
       <input type="hidden" name="stage" value="[% stage %]"/>
       <input type="hidden" name="cfg" value="[% cfg %]"/>
+      
       <table border="0">
         <tr>
-          <td align="left" class="required">
-            Username:
+          <td align="left" class="label">
+            *Username:
           </td>
           <td align="right">
             <input name="uid" type="text"
@@ -23,8 +28,8 @@
           </td>
         </tr>
         <tr>
-          <td align="left" class="required">
-            Organization:
+          <td align="left" class="label">
+            *Organization:
           </td>
           <td align="right">
             <select name="o">
@@ -39,8 +44,8 @@
           </td>
         </tr>
         <tr>
-          <td align="left" class="required">
-            Old password:
+          <td align="left" class="label">
+            *Old password:
           </td>
           <td align="right">
             <input name="oldpass" type="password" />
@@ -47,8 +52,8 @@
           </td>
         </tr>
         <tr>
-          <td align="left" class="required">
-            New password:
+          <td align="left" class="label">
+            *New password:
           </td>
           <td align="right">
             <input name="userPassword" type="password" />
@@ -55,8 +60,8 @@
           </td>
         </tr>
         <tr>
-          <td align="left" class="required">
-            Confirm new password:
+          <td align="left" class="label">
+            *Confirm new password:
           </td>
           <td align="right">
             <input name="userPassword2" type="password" />
@@ -71,4 +76,4 @@
         </tr>
       </table>
     </form>
-    </p>
+    </td></tr></table>
Index: lib/style/common/templates/ldapRegisterSuccess.tmpl
===================================================================
--- lib/style/common/templates/ldapRegisterSuccess.tmpl	(revision 2410)
+++ lib/style/common/templates/ldapRegisterSuccess.tmpl	(revision 2411)
@@ -1,10 +1,11 @@
-    <h2>Registration Succeeded!</h2>
-    <p>You have successfully created an account on the 
+    <table class="intro" cellpadding="3" cellspacing="0">
+    <tr><td align="left"><span class="emphasis">Registration Succeeded!</span></td></tr>
+    <tr><td align="left"><span class="regtext">You have successfully created an account on the 
     <a href="http://knb.ecoinformatics.org">Knowledge 
     Network for Biocomplexity (KNB)</a>.  You can use this account
     to share data with collaborators or with the general scientific
     community by downloading and installing the 
     <a href="http://knb.ecoinformatics.org/software/morpho">Morpho</a>
-    software package.  Thanks for your interest in the KNB!
-    </p>
+    software package.  Thank you for your interest in the KNB!
+    </span></td></tr></table>
 
Index: lib/style/common/templates/ldapRegister.tmpl
===================================================================
--- lib/style/common/templates/ldapRegister.tmpl	(revision 2410)
+++ lib/style/common/templates/ldapRegister.tmpl	(revision 2411)
@@ -1,24 +1,34 @@
     [% SWITCH stage %]
     [% CASE 'register' %]
-    <h2>Register for the KNB!</h2>
-    <p>Fill out the form below to register for the KNB.  By registering, 
+    
+    
+    
+    <table class="intro" cellpadding="3" cellspacing="0">
+       <tr><td align="left"><span class="emphasis">Register for the Knowledge Network for Biocomplexity (KNB)!</span></td></tr>
+       <tr><td align="left"><span class="regtext">Fill out the form below to register for the KNB.  By registering, 
     you will be assigned a user account that allows you to store your
     own data as part of the KNB and to collaborate with other research
-    scientists through the KNB.
-    </p>
-    <p>Required fields are shown in red.</p>
+    scientists through the KNB.</td></tr>
+       <tr><td align="left"><span class="label">Required fields are denoted by an asterisk (*).</td></tr>
+    </table>
+    <p>&nbsp;</p>
+    
     [% fieldType = 'text' %]
     [% CASE 'registerconfirmed' %]
-    <h2>Confirm registration information</h2>
-    <p>If you have confirmed that the accounts listed above do not 
+    
+    
+    <table class="intro" cellpadding="3" cellspacing="0">
+      <tr><td align="left"><span class="emphasis">Confirm registration information</span></td></tr>
+      <tr><td align="left"><span class="regtext">If you have confirmed that the accounts listed above do not 
     represent you, you can continue with the registration process 
-    using the data you provided, summarized below:
-    </p>
+    using the data you provided, summarized below:   </td></tr></table>
+    
     [% fieldType = 'hidden' %]
     [% END %]
-    <p class="emphasis">[% errorMessage %]<p>
+    <p class="label">[% errorMessage %]<p>
     <p>
     <script type="text/javascript" language="JavaScript1.2">
+    
     <!--
       document.loginForm.givenName.focus();
       document.loginForm.givenName.select();
@@ -46,10 +56,10 @@
     <form name="loginForm" action="@cgiurl@" method="post">
       <input type="hidden" name="stage" value="[% stage %]"/>
       <input type="hidden" name="cfg" value="[% cfg %]"/>
-      <table border="0">
+      <table hspace="20" border="0">
         <tr>
-          <td align="left" class="required">
-            First Name:
+          <td align="left" class="label">
+            *First Name:
           </td>
           <td align="right">
             [% IF stage == 'registerconfirmed' %]
@@ -60,8 +70,8 @@
           </td>
         </tr>
         <tr>
-          <td align="left" class="required">
-            Last Name:
+          <td align="left" class="label">
+            *Last Name:
           </td>
           <td align="right">
             [% IF stage == 'registerconfirmed' %]
@@ -71,8 +81,8 @@
           </td>
         </tr>
         <tr>
-          <td align="left" class="required">
-            Organization:
+          <td align="left" class="label">
+            *Organization:
           </td>
           <td align="right">
             [% IF stage == 'registerconfirmed' %]
@@ -93,7 +103,7 @@
           </td>
         </tr>
         <tr>
-          <td align="left">
+          <td align="left" class="label">
             Telephone:
           </td>
           <td align="right">
@@ -105,8 +115,8 @@
           </td>
         </tr>
         <tr>
-          <td align="left" class="required">
-            Email:
+          <td align="left" class="label">
+            *E-mail:
           </td>
           <td align="right">
             [% IF stage == 'registerconfirmed' %]
@@ -117,7 +127,7 @@
           </td>
         </tr>
         <tr>
-          <td align="left">
+          <td align="left" class="label">
             Title:
           </td>
           <td align="right">
@@ -129,8 +139,8 @@
           </td>
         </tr>
         <tr>
-          <td align="left" class="required">
-            Username:
+          <td align="left" class="label">
+            *Username:
           </td>
           <td align="right">
             [% IF stage == 'registerconfirmed' %]
@@ -141,8 +151,8 @@
           </td>
         </tr>
         <tr>
-          <td align="left" class="required">
-            Password:
+          <td align="left" class="label">
+            *Password:
           </td>
           <td align="right">
             [% IF stage == 'registerconfirmed' %]
@@ -156,8 +166,8 @@
           </td>
         </tr>
         <tr>
-          <td align="left" class="required">
-            Confirm Password:
+          <td align="left" class="label">
+            *Confirm Password:
           </td>
           <td align="right">
             [% IF stage == 'registerconfirmed' %]
@@ -184,4 +194,4 @@
         </tr>
       </table>
     </form>
-    </p>
+
Index: lib/style/common/templates/ldapRegisterFailed.tmpl
===================================================================
--- lib/style/common/templates/ldapRegisterFailed.tmpl	(revision 2410)
+++ lib/style/common/templates/ldapRegisterFailed.tmpl	(revision 2411)
@@ -1,10 +1,11 @@
-    <h2>Registration Failed</h2>
-    <p>There was a problem creating your account.  The error was:<p>
+    <table class="intro" cellpadding="3" cellspacing="0">
+    <tr><td align="left"><span class="emphasis">Registration Failed</span></td></tr>
+    <tr><td align="left"><span class="regtext">There was a problem creating your account.  The error was:</span></td></tr>
 
-    <p class="emphasis">[% errorMessage %]</p>
+    <tr><td align="left"><span class="label">[% errorMessage %]</span></td></tr>
     
-    </p>The most likely
+    <tr><td align="left"><span class="regtext">The most likely
     problem is that the username that you chose already exists.  Pick
     a different username and try submitting the form again.
-    </p>
+    </span></td></tr></table>
 
Index: lib/style/common/templates/ldapRegisterMatch.tmpl
===================================================================
--- lib/style/common/templates/ldapRegisterMatch.tmpl	(revision 2410)
+++ lib/style/common/templates/ldapRegisterMatch.tmpl	(revision 2411)
@@ -1,13 +1,15 @@
-    <h2>Similar accounts exist</h2>
-    <p>KNB accounts already exist with information that is similar to
-    the information you provided.  <span class="emphasis">Please check 
+    <table class="intro" cellpadding="3" cellspacing="0">
+    <tr><td align="left"><span class="emphasis">Similar accounts exist</span></td></tr>
+    <tr><td align="left"><span class="regtext">KNB accounts already exist with information that is similar to
+    the information you provided.</span><span class="label"> Please check 
     the list of similar accounts below to determine if you already 
-    have an account.</span>  If so, you can use 
+    have an account.</span><span class="regtext">  If so, you can use 
     that account.  If not, then you can press "Continue" to create an
-    account despite the similarities to existing accounts.
-    </p>
-
-    <p>
+    account despite the similarities to existing accounts.</span></td></tr>
+    
+   <tr><td align="left"><span class="regtext">
     [% foundAccounts %]
-    </p>
+    </span></td></tr></table>
+    
+    <p>&nbsp;</p>
 
Index: lib/style/common/templates/ldapResetPassSuccess.tmpl
===================================================================
--- lib/style/common/templates/ldapResetPassSuccess.tmpl	(revision 2410)
+++ lib/style/common/templates/ldapResetPassSuccess.tmpl	(revision 2411)
@@ -1,11 +1,16 @@
-    <h2>Your password has been Reset!</h2>
+    
+    <table class="intro" cellpadding="3" cellspacing="0">
+    <tr><td align="left"><span class="emphasis">Your password has been reset!</span></td></tr>    
+  
+    
+    
     [% IF errorMessage %]
-    <p class="emphasis">[% errorMessage %]<p>
+    <tr><td align="left"><span class="label"> [% errorMessage %]</span></td></tr>
     [% ELSE %]
-    <p>Your new password has been emailed to the account registered for 
-    this KNB account.</p>
+    <tr><td align="left"><span class="regtext">Your new password has been sent to the e-mail address registered for 
+    this KNB account.</span></td></tr>
     [% END %]
-    <p>
-    Thanks for participating in the KNB!
-    </p>
+    <tr><td align="left"><span class="regtext">
+    Thank you for participating in the KNB!</span></td></tr>
+    </table>
 