Index: lib/style/skins/lter/index.jsp
===================================================================
--- lib/style/skins/lter/index.jsp	(revision 2506)
+++ lib/style/skins/lter/index.jsp	(revision 2507)
@@ -29,31 +29,11 @@
   * into an HTML format suitable for rendering with modern web browsers.
   */
 %>
-<%@ include file="settings.jsp"%>
-<%@ include file="session_vars.jsp"%>
+
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
-<head>
-<title>LTER Data Catalog </title>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-	<link rel="stylesheet" type="text/css" 
-		  href="@style-skins-path@/lter/lter.css">
-	<script language="javascript" type="text/javascript"
-			src="@style-skins-path@/lter/lter.js"></script>
-	<script language="javascript" type="text/javascript"
-			src="@style-common-path@/branding.js"></script>
-</head>
-<body>
-  <script language="javascript">
-	  insertTemplateOpening();
-	  insertSearchBox();
-  </script>
-  <br>
-  <script language="javascript">
-	  insertLoginBox();
-  </script>
-  <script language="javascript">
-	  insertTemplateClosing();
-  </script>
-</body>
+  <head>
+    <title>LTER Data Catalog</title>
+    <meta http-equiv="Refresh" content="0; URL=http:/query">
+  </head>
 </html>
Index: lib/style/skins/lter/include_header.jsp
===================================================================
--- lib/style/skins/lter/include_header.jsp	(revision 2506)
+++ lib/style/skins/lter/include_header.jsp	(revision 2507)
@@ -25,43 +25,32 @@
   * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
   *
 -->
-<%@ include file="settings.jsp"%>
-<%@ include file="session_vars.jsp"%>
 <head>
   <title>LTER Data Catalog</title>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-  <link href="@style-skins-path@/lter/lter.css" 
-    rel="stylesheet" type="text/css">
-  <script language="javascript" type="text/javascript" 
-    src="<%= relativeRoot %>/lter.js"></script>
-  </head>
+  <link href="@style-skins-path@/lter/lter.css" rel="stylesheet" type="text/css">
+</head>
 
 <body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
-<table width="750px" align="center" border="0" cellpadding="0" cellspacing="0">
-  <tr>
-    <td width="10px" align="right" valign="top" class="title">&#160;</td>
+  <table width="750px" align="left" border="0" cellpadding="0" cellspacing="0">
+    <tr>
+      <td style="vertical-align: top; text-align: center;" width="86">
+        <img alt="LTERLogo86x111.gif" src="./images/LTERLogo86x111.gif" style="width: 86px; height: 111px;">
+      </td>
+      <td style="vertical-align: top;">
+        <img alt="headerQuery.gif" src="./images/headerQuery.gif" style="width: 600px; height: 111px;">
+      </td>
+    </tr>
+    <tr>
+      <td align="left" valign="middle" class="sectionheader" style="text-align: left">
+        &#160;&#160;&#160;
+        <a target="_top" href="./index.jsp" class="toollink">Home</a>
+      </td>
+      <td align="left" valign="top" class="sectionheader">
+        <img src="./images/transparent1x1.gif" width="600" height="25" />
+      </td>
+    </tr>
+  </table>
+</body>
 
-    <td width="80" align="center" valign="bottom" class="title">
-      <a target="_top" href="./index.jsp">
-        <img src="./images/transparent1x1.gif" border="0" />
-      </a>
-    </td>
-    <td align="left" valign="middle" class="title">
-      <p class="title">LTER Data Catalog Search</p>
-    </td>
-  </tr>
-  <tr>
-    <td width="10" align="right" valign="top" class="sectionheader">
-    &#160;</td>
-
-    <td align="left" valign="middle" class="sectionheader" style="text-align: left">
-    &#160;&#160;&#160;
-    <a target="_top" href="./index.jsp"
-    class="toollink">Home</a></td>
-    <td align="left" valign="top" class="sectionheader">
-    <img src="./images/transparent1x1.gif"
-       width="600" height="25" /></td>
-  </tr>
-</table>
-</body>
 </html>
Index: lib/style/skins/lter/include_searchbox.jsp
===================================================================
--- lib/style/skins/lter/include_searchbox.jsp	(revision 2506)
+++ lib/style/skins/lter/include_searchbox.jsp	(revision 2507)
@@ -35,7 +35,7 @@
 <!-- *********************** START SEARCHBOX TABLE ************************* -->
 <html>
 <head>
-  <title>LTER Data Catalog Search Page</title>
+  <title>LTER Data Catalog</title>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <link href="<%=relativeRoot%>/lter.css" rel="stylesheet" type="text/css">
   <script language="javascript" 
Index: lib/style/skins/lter/lter.css
===================================================================
--- lib/style/skins/lter/lter.css	(revision 2506)
+++ lib/style/skins/lter/lter.css	(revision 2507)
@@ -36,7 +36,7 @@
  */  
 
 .iframeheaderclass {
-    height:   80px; 
+    height:   140px; 
     width:    100%;
     border:   0px;
     margin:   0px;
@@ -124,11 +124,11 @@
 }
 
 .sectioncorner {
-    background-image: url(@style-skins-path@/default/images/panelhead_bg.gif);
+    /*background-image: url(@style-skins-path@/default/images/panelhead_bg.gif);*/
 }
 
 .sectionheader {
-    background-image: url(@style-skins-path@/default/images/panelhead_bg.gif);
+    /*background-image: url(@style-skins-path@/default/images/panelhead_bg.gif);*/
     text-align: center;
     color: #0247A8; 
 /*    font-size: 1em; 
@@ -170,7 +170,7 @@
   	padding-top: 3px;
     color: #333333; 
     background-color: #eeeeee;
-    background-image: url(@style-skins-path@/default/images/bgpattern.gif);
+    /*background-image: url(@style-skins-path@/default/images/bgpattern.gif);*/
     font-weight: normal;
     font-size: 12px; 
     font-family: Verdana,Arial,Helvetica,sans-serif; 
@@ -207,8 +207,10 @@
 
 .title {
     font-family: Georgia, Times New Roman, Times, serif;
-    color:      #eeeeee;
-    background: #0247A8;
+    /*color:      #eeeeee;*/
+    color:      white;
+    /*background: #0247A8;*/
+    background: navy;
     font-size: 24px; 
     font-weight: bold;
 }
@@ -265,8 +267,8 @@
 }
 	
 .tabledefault {
-    background: white;
-    color: #555555;
+    /*background: white;*/
+    /*color: #555555;*/
 		width: 790px; 
 		width: 100%; 
     font-size: 12px; 
@@ -284,13 +286,14 @@
 }
 
 .tablehead {
-    background-image: url(@style-skins-path@/default/images/panelhead_bg.gif);
-    color: #0040A1; 
+    /*background-image: url(@style-skins-path@/default/images/panelhead_bg.gif);*/
+    /*color: #0040A1;*/
+    background-color: #dddddd;
     text-align: left;
     font-size: 14px; 
     font-weight: bold;
-    border-top: solid #ffffff 2px;
-    border-bottom: solid #ffffff 2px;
+    border-top: solid #dddddd 2px;
+    border-bottom: solid #dddddd 2px;
     padding-left: 15%;
     padding-top: 0px;
     padding-bottom: 0px;
@@ -306,7 +309,7 @@
 }
 
 .tablehead_lcorner {
-    background-image: url(@style-skins-path@/default/images/panelhead_bg_lcorner.gif);
+    /*background-image: url(@style-skins-path@/default/images/panelhead_bg_lcorner.gif);*/
     background-position: right top;
     background-repeat: no-repeat;
     padding: 0px;
@@ -316,7 +319,7 @@
 }    
     
 .tablehead_rcorner {
-    background-image: url(@style-skins-path@/default/images/panelhead_bg_rcorner.gif);
+    /*background-image: url(@style-skins-path@/default/images/panelhead_bg_rcorner.gif);*/
     background-position: left top;
     background-repeat: no-repeat;
     padding: 0px;
@@ -327,7 +330,7 @@
    
 
 .tableheadcontrast {
-    background: #dddddd;
+    /*background: #dddddd;*/
     vertical-align: baseline;
     color: #666666;
     font-size: 16px; 
@@ -412,11 +415,11 @@
 }
 
 .searchresultsdivider {
-    background-color: #dddddd;   
+    /*background-color: #dddddd;   */
 }
 
 .maintable {
-    background: #ffffff;
+    /*background: #ffffff;*/
 }
 
 .subpanel {
@@ -458,17 +461,17 @@
 
 
 .highlight  {
-    background-color: #dddddd; 
+    /*background-color: #dddddd; */
     font-size: 12px;
-    border: solid #ffffff 1px;
+    /*border: solid #ffffff 1px;*/
 }
 
 .secondCol {
-    background-color: #ffffff; 
+    /*background-color: #ffffff; */
     font-size: 12px; 
 }
 .bordered {
-    background-color: #dddddd; 
+    /*background-color: #dddddd; */
     font-size: 12px; 
 }
 
@@ -496,3 +499,344 @@
   padding-left: 3px;
 }    
 
+/* LTER Stylesheet begins here */
+
+body {
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 10pt;
+    background-color: #CCCC99;
+    color: #663300;
+    margin: 5px;
+}
+
+a:link {  
+    color: #0033CC
+}
+
+a:visited {  
+    color: #003366
+}
+
+//a:hover {  
+//    color: #339966;
+//    text-decoration: underline;
+//}
+
+a.whitelink:link, a.whitelink:visited {  
+    color: #ffffff
+}
+
+h1 {  
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 24pt;
+    font-weight: bold;
+    color: #663300;
+    padding: 0px;
+    margin-left: 5px;
+    margin-bottom: -5px;
+}
+
+h2 {  
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 16pt;
+    font-weight: bold;
+    color: #663300;
+    padding: 0px;
+    margin-left: 5px;
+    margin-bottom: -5px;
+}
+
+h3 {  
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 14pt;
+    font-weight: bold;
+    color: #663300;
+    padding: 0px;
+    /*margin-left: 5px;*/
+    margin-bottom: -5px;
+}
+
+h4 {  
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 12pt;
+    font-weight: bold;
+    color: #663300;
+    padding: 0px;
+    margin-left: 5px;
+    margin-bottom: -5px;
+}
+
+h5 {  
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 10pt;
+    font-weight: bold;
+    color: #663300;
+    padding: 0px;
+    margin-left: 5px;
+    margin-bottom: -5px;
+}
+
+h6 {  
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 8pt;
+    font-weight: bold;
+    color: #663300;
+    padding: 0px;
+    margin-left: 5px;
+    margin-bottom: -5px;
+}
+
+hr.hide {  
+    width: 147px;
+    display: none
+}
+
+form {
+    margin-bottom: 0px;
+}
+
+p {  
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 10pt;
+    color: #663300;
+    margin-left: 5px;
+}
+
+ol {  
+    font-family: Arial, Helvetica, sans-serif;
+    color: #663300
+}
+
+img.type1 { 
+    float: left;
+    padding: 1px;
+}
+
+img.type2 { 
+    float: right;
+    border-color: black;
+    border-style: solid;
+}
+
+td {  
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 10pt;
+    color: #663300;
+    vertical-align: top;
+}
+
+td.black {  
+    background: #000000;
+}
+
+td.caption p {  
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 8pt;
+    margin-left: 5px;
+}
+
+td.copyright p {  
+    font-family: Verdana, Arial, Helvetica, sans-serif;
+    font-size: 8pt;
+    margin-left: 5px;
+}
+
+td.default {  
+    background: #CCCC99;
+}
+
+td.default a:hover {  
+    color: #339966
+}
+
+td.header {  
+    background: #000000;
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 10pt;
+    font-weight: bold;
+    color: #669966;
+    vertical-align: top;
+}
+
+td.header p {  
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 10pt;
+    font-weight: bold;
+    color: #669966;
+}
+
+td.header a:link {  
+    color: #ffffff;
+}
+
+td.header a:visited {  
+    color: #ffffff;
+}
+
+td.header a:hover {  
+    color: #339966;
+}
+
+td.topic {  
+    background: #669966;
+}
+
+td.topic p {  
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 10pt;
+    font-weight: bold;
+    color: #663300;
+    padding: 0px;
+    margin-left: 5px;
+    margin-bottom: 0;
+}
+
+td.topic .h6 {  
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 10pt;
+    font-weight: bold;
+    color: #663300;
+    padding: 0px;
+    margin-left: 5px;
+    margin-bottom: 0;
+}
+
+td.pulldown {  
+    background: #996666;
+    color: #000000;
+}
+
+td.pulldown a:link {  
+    color: #ffffff;
+}
+
+td.pulldown a:visited {  
+    color: #ffffff;
+}
+
+td.pulldown a:hover {  
+    color: #ffffcc
+}
+
+td.sidebarbg {  
+    background: #669966;
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 9pt;
+    width: 130px
+}
+
+td.sidebar a:link {  
+    color: #ffffff
+}
+
+td.sidebar a:visited {  
+    color: #ffffff;
+}
+
+td.sidebar a:hover {  
+    text-decoration: underline;
+    color: #ffffcc
+}
+
+td.sidebar .h6 {  
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 10pt;
+    color: #ffffcc;
+    font-weight: bold;
+}
+
+th.more {  
+    background-color: #003333;
+    font-family: Verdana, Arial, Helvetica, sans-serif;
+    font-size: 10pt;
+    color: #ffffcc;
+    font-weight: bold;
+}
+
+td.more {  
+    background-color: #CCCCFF;
+    font-family: Verdana, Arial, Helvetica, sans-serif;
+    font-size: 9pt;
+}
+
+td.more p {  
+    font-family: Verdana, Arial, Helvetica, sans-serif;
+    font-size: 9pt;
+    margin-top: 0;
+    margin-bottom: 5px;
+}
+
+td.more a:link {  
+    color: #003333;
+}
+
+td.more a:visited {  
+    color: #003333;
+}
+
+td.more a:hover {  
+    color: #003333;
+}
+
+td.yellow {  
+    background: #FFFFCC;
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 9pt;;
+    border: #000000;
+    border-top-width: 1px;
+    border-right-width: 1px;
+    border-bottom-width: 2px;
+    border-left-width: 1px;
+    margin-bottom: 2px;
+}
+
+td.yellow p {  
+    font-family: Verdana, Arial, Helvetica, sans-serif;
+    font-size: 8pt;
+}
+
+td.yellow br {  
+    font-family: Verdana, Arial, Helvetica, sans-serif;
+    font-size: 8pt;
+}
+
+td.white {  
+    /*background: #FFFFFF;*/
+}
+
+ul {  
+    font-family: Arial, Helvetica, sans-serif;
+    color: #663300;
+    list-style-type: square;
+    margin-top: 0;
+}
+
+td.asmheader { 
+    background-color: #006666;
+    font-family: Verdana, Arial, Helvetica, sans-serif;
+    font-size: 10px;
+    font-weight: bold;
+    color: #FFFFFF;
+}
+
+td.asmborder { 
+    background-color: #006666;
+    font-family: Verdana, Arial, Helvetica, sans-serif;
+}
+
+td.asmbody {  
+    background-color: #99CCCC;
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: 12px;
+    color: #000000;
+}
+    
+td.asmheader a:link { 
+    color: #FFFFFF;
+    text-decoration: none;
+}
+
+td.asmheader a:visited { 
+    color: #FFFFFF;
+    text-decoration: none;
+}