Index: lib/style/skins/specnet/specnet.css
===================================================================
--- lib/style/skins/specnet/specnet.css	(revision 2538)
+++ lib/style/skins/specnet/specnet.css	(revision 2539)
@@ -240,8 +240,8 @@
     text-decoration: none; 
 }
 .intro {
-        width:   760;
-        margin-left:    15;
+        width:   760px;
+        margin-left:    15px;
 }
 
 br {
@@ -323,7 +323,7 @@
 
 .tables {
         width:   760px;
-        margin-left:      20;
+        margin-left:      20px;
         border-top: solid black 1px;
         border-left: solid black 1px;
         border-right: solid black 1px;      
Index: lib/style/skins/nrs/nrs.css
===================================================================
--- lib/style/skins/nrs/nrs.css	(revision 2538)
+++ lib/style/skins/nrs/nrs.css	(revision 2539)
@@ -221,13 +221,13 @@
 
  
 .intro {
-        width:   760;
-        margin-left:    20;
+        width:   760px;
+        margin-left:    20px;
 }
 
 
 .headertopmargin {
-    margin-top:    10;
+    margin-top:    10px;
 }
 
 p.searchbox {
@@ -317,7 +317,7 @@
 
 .tables {
         width:   760px;
-        margin-left:    20;
+        margin-left:    20px;
         border-top: solid black 1px;
         border-left: solid black 1px;
         border-right: solid black 1px;      
@@ -351,4 +351,4 @@
        width:  24%;
        text-align: right;
     }
-	
\ No newline at end of file
+	
Index: lib/style/skins/ltss/ltss.css
===================================================================
--- lib/style/skins/ltss/ltss.css	(revision 2538)
+++ lib/style/skins/ltss/ltss.css	(revision 2539)
@@ -236,8 +236,8 @@
     text-decoration: none; 
 }
 .intro {
-        width:   760;
-        margin-left:    15;
+        width:   760px;
+        margin-left:    15px;
 }
 
 br {
@@ -319,7 +319,7 @@
 
 .tables {
         width:   760px;
-        margin-left:      20;
+        margin-left:      20px;
         border-top: solid black 1px;
         border-left: solid black 1px;
         border-right: solid black 1px;      
@@ -352,4 +352,4 @@
        width:  24%;
        text-align: right;
     }
-	
\ No newline at end of file
+	
Index: lib/style/skins/esa/esa.css
===================================================================
--- lib/style/skins/esa/esa.css	(revision 2538)
+++ lib/style/skins/esa/esa.css	(revision 2539)
@@ -256,8 +256,8 @@
 }
 
 .intro {
-        width:   760;
-        margin-left:    15;
+        width:   760px;
+        margin-left:    15px;
 }
 
 textarea {
@@ -336,7 +336,7 @@
 
 .tables {
         width:   760px;
-        margin-left:      20;
+        margin-left:      20px;
         border-top: solid black 1px;
         border-left: solid black 1px;
         border-right: solid black 1px;      
Index: lib/style/skins/esa/index.html
===================================================================
--- lib/style/skins/esa/index.html	(revision 2538)
+++ lib/style/skins/esa/index.html	(revision 2539)
@@ -106,7 +106,7 @@
 <p><b>Registry Tools</b></p>
 <p>
 <menu>
-<li><span class="searchbox">Search for Data Sets</span><br />
+<li><span class="searchbox"><a name="search"> Search for Data Sets</a></span><br />
     <menu>
 <form method="POST" action="@servlet-path@" target="_top" onSubmit="return checkSearch(this)">
   <input value="INTERSECT" name="operator" type="hidden">   
Index: lib/style/skins/nceas/nceas.css
===================================================================
--- lib/style/skins/nceas/nceas.css	(revision 2538)
+++ lib/style/skins/nceas/nceas.css	(revision 2539)
@@ -240,8 +240,8 @@
 }
 
 .intro {
-        width:   760;
-        margin-left: 15;
+        width:   760px;
+        margin-left: 15px;
 }
 
 textarea {
@@ -319,7 +319,7 @@
     
 .tables {
         width:   760px;
-        margin-left:      20;
+        margin-left:      20px;
         border-top: solid black 1px;
         border-left: solid black 1px;
         border-right: solid black 1px;      
Index: lib/style/skins/obfs/obfs.css
===================================================================
--- lib/style/skins/obfs/obfs.css	(revision 2538)
+++ lib/style/skins/obfs/obfs.css	(revision 2539)
@@ -220,8 +220,8 @@
  */
 
 .intro {
-        width:   760;
-        margin-left:    20;
+        width:   760px;
+        margin-left:    20px;
 }
  
 
@@ -313,7 +313,7 @@
     
 .tables {
         width:   760px;
-        margin-left:      20;
+        margin-left:      20px;
         border-top: solid black 1px;
         border-left: solid black 1px;
         border-right: solid black 1px;      
@@ -347,4 +347,4 @@
 .rightCol {
        width:  24%;
        text-align: right;
-    }
\ No newline at end of file
+    }
Index: lib/style/skins/knb/knb.css
===================================================================
--- lib/style/skins/knb/knb.css	(revision 2538)
+++ lib/style/skins/knb/knb.css	(revision 2539)
@@ -229,8 +229,8 @@
 }
 
 .intro {
-        width:   760;
-        margin-left:    15;
+        width:   760px;
+        margin-left:    15px;
 }
 
 br {
@@ -307,7 +307,7 @@
 	
 .tables {
         width:   760px;
-        margin-left:      20;
+        margin-left:      20px;
         border-top: solid black 1px;
         border-left: solid black 1px;
         border-right: solid black 1px;