Index: src/edu/ucsb/nceas/metacat/AssociateAccessPolicy.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AssociateAccessPolicy.java	(revision 2588)
+++ src/edu/ucsb/nceas/metacat/AssociateAccessPolicy.java	(revision 2589)
@@ -199,8 +199,8 @@
     }//try
     catch (SQLException e)
     {
-      util.debugMessage("Error in getDocidListForDataPackage: "
-                            +e.getMessage(), 30);
+    	MetaCatUtil.logMetacat.info("Error in getDocidListForDataPackage: "
+                            +e.getMessage());
     }//catch
     //System.out.println("docid in access table");
     /*for (int i=0; i<docIdInAccessTable.size(); i++)
@@ -285,8 +285,8 @@
     catch (SQLException e)
     {
       pStmt.close();
-      util.debugMessage("Error in getDocidListForDataPackage: "
-                            +e.getMessage(), 30);
+      MetaCatUtil.logMetacat.info("Error in getDocidListForDataPackage: "
+                            +e.getMessage());
     }//catch
     //System.out.println("docid without access entry:");
     /*for (int i=0; i<docIdWithoutAccessEntry.size(); i++)
@@ -481,8 +481,8 @@
         {
           pStmt.close();
           insertStatement.close();
-          util.debugMessage("Error in getDocidListForDataPackadge: "
-                            +e.getMessage(), 30);
+          MetaCatUtil.logMetacat.info("Error in getDocidListForDataPackadge: "
+                            +e.getMessage());
         }//catch
         
       }//else
Index: src/edu/ucsb/nceas/metacat/AddMissedSubTreeSAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AddMissedSubTreeSAXHandler.java	(revision 2588)
+++ src/edu/ucsb/nceas/metacat/AddMissedSubTreeSAXHandler.java	(revision 2589)
@@ -118,7 +118,7 @@
    public void endElement(String uri, String localName,
                           String qName) throws SAXException 
   {
-     MetaCatUtil.debugMessage("End ELEMENT " + qName, 50);
+     MetaCatUtil.logMetacat.info("End ELEMENT " + qName);
 
    
    }
Index: src/edu/ucsb/nceas/metacat/AccessSection.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessSection.java	(revision 2588)
+++ src/edu/ucsb/nceas/metacat/AccessSection.java	(revision 2589)
@@ -148,8 +148,8 @@
     {
 
       // set parameters
-      MetaCatUtil.debugMessage("Copy permission order: " +
-                                this.getPermissionOrder(), 35);
+      MetaCatUtil.logMetacat.info("Copy permission order: " +
+                                this.getPermissionOrder());
       newAccessSection.setPermissionOrder(this.getPermissionOrder());
       Vector accessRuleVector = this.getAccessRules();
       // go through access rule vector
Index: src/edu/ucsb/nceas/metacat/AuthLdap.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AuthLdap.java	(revision 2588)
+++ src/edu/ucsb/nceas/metacat/AuthLdap.java	(revision 2589)
@@ -110,11 +110,11 @@
       authenticated = ldapAuthenticate(identifier, password);
       // if not found, try looking up a valid DN then auth again
       if (!authenticated) {
-        MetaCatUtil.debugMessage("Looking up DN for: " + identifier, 35);
+        MetaCatUtil.logMetacat.info("Looking up DN for: " + identifier);
         identifier = getIdentifyingName(identifier, ldapUrl, ldapBase);
-        MetaCatUtil.debugMessage("DN found: " + identifier, 35);
+        MetaCatUtil.logMetacat.info("DN found: " + identifier);
         String decoded = URLDecoder.decode(identifier);
-        MetaCatUtil.debugMessage("DN decoded: " + decoded, 35);
+        MetaCatUtil.logMetacat.info("DN decoded: " + decoded);
         identifier = decoded;
         String refUrl = "";
         String refBase = "";
@@ -121,20 +121,20 @@
         if (identifier.startsWith("ldap")) {
           refUrl = identifier.substring(0,
                                         identifier.lastIndexOf("/") + 1);
-          MetaCatUtil.debugMessage("Ref ldapUrl: " + refUrl, 35);
+          MetaCatUtil.logMetacat.info("Ref ldapUrl: " + refUrl);
           int position = identifier.indexOf(",");
           int position2 = identifier.indexOf(",", position + 1);
           refBase = identifier.substring(position2 + 1);
-          MetaCatUtil.debugMessage("Ref ldapBase: " + refBase, 35);
+          MetaCatUtil.logMetacat.info("Ref ldapBase: " + refBase);
           identifier = identifier.substring(
               identifier.lastIndexOf("/") + 1);
-          MetaCatUtil.debugMessage("Trying: " + identifier, 35);
+          MetaCatUtil.logMetacat.info("Trying: " + identifier);
           authenticated = ldapAuthenticate(identifier, password,
                                            refUrl, refBase);
         }
         else {
           identifier = identifier + "," + ldapBase;
-          MetaCatUtil.debugMessage("Trying: " + identifier, 35);
+          MetaCatUtil.logMetacat.info("Trying: " + identifier);
           authenticated = ldapAuthenticate(identifier, password);
         }
         //authenticated = ldapAuthenticate(identifier, password);
@@ -142,20 +142,20 @@
 
     }
     catch (NullPointerException e) {
-      util.debugMessage("NullPointerException b' password is null", 30);
-      util.debugMessage("NullPointerException while authenticating in " +
-                        "AuthLdap.authenticate: " + e, 30);
+      MetaCatUtil.logMetacat.info("NullPointerException b' password is null");
+      MetaCatUtil.logMetacat.info("NullPointerException while authenticating in " +
+                        "AuthLdap.authenticate: " + e);
       throw new ConnectException(
           "NullPointerException while authenticating in " +
           "AuthLdap.authenticate: " + e);
     }
     catch (NamingException e) {
-      util.debugMessage("Naming exception while authenticating in " +
-                        "AuthLdap.authenticate: " + e, 30);
+      MetaCatUtil.logMetacat.info("Naming exception while authenticating in " +
+                        "AuthLdap.authenticate: " + e);
       e.printStackTrace();
     }
     catch (Exception e) {
-      util.debugMessage(e.getMessage(), 30);
+      MetaCatUtil.logMetacat.info(e.getMessage());
     }
     return authenticated;
   }
@@ -196,7 +196,7 @@
               "com.sun.jndi.ldap.LdapCtxFactory");
       env.put(Context.REFERRAL, "throw");
       env.put(Context.PROVIDER_URL, directoryUrl + searchBase);
-      util.debugMessage("PROVIDER_URL set to: " + directoryUrl + searchBase, 35);
+      MetaCatUtil.logMetacat.info("PROVIDER_URL set to: " + directoryUrl + searchBase);
       if (!ldapsUrl.equals(ldapUrl)) {
         // ldap is set on default port 389
         // ldaps is set on second port - 636 by default
@@ -212,8 +212,8 @@
         //Here to check the authorization
         ctx = new InitialDirContext(env);
         double stopTime = System.currentTimeMillis();
-        util.debugMessage("Connection time thru " + ldapsUrl + " was: " +
-                          (stopTime - startTime) / 1000 + " seconds.", 35);
+        MetaCatUtil.logMetacat.info("Connection time thru " + ldapsUrl + " was: " +
+                          (stopTime - startTime) / 1000 + " seconds.");
         authenticated = true;
         //tls.close();
         ctx.close();
@@ -228,11 +228,11 @@
         }
       }
       catch (javax.naming.InvalidNameException ine) {
-        util.debugMessage("An invalid DN was provided!", 30);
+        MetaCatUtil.logMetacat.info("An invalid DN was provided!");
       }
       catch (javax.naming.ReferralException re) {
-        util.debugMessage("referral during authentication", 30);
-        util.debugMessage("Referral information: " + re.getReferralInfo(), 30);
+        MetaCatUtil.logMetacat.info("referral during authentication");
+        MetaCatUtil.logMetacat.info("Referral information: " + re.getReferralInfo());
         try {
           refExc = re;
 
@@ -240,7 +240,7 @@
           t.start();
           Thread.sleep(5000); //this is a manual override of ldap's
           //hideously long time out period.
-          util.debugMessage("Awake after 5 seconds.", 35);
+          MetaCatUtil.logMetacat.info("Awake after 5 seconds.");
           if (referralContext == null) {
             t.interrupt();
             authenticated = false;
@@ -255,11 +255,11 @@
       }
     }
     else {
-      util.debugMessage("User not found", 30);
+      MetaCatUtil.logMetacat.info("User not found");
     }
     double totStopTime = System.currentTimeMillis();
-    util.debugMessage("total ldap authentication time: " +
-                      (totStopTime - totStartTime) / 1000 + " seconds", 35);
+    MetaCatUtil.logMetacat.info("total ldap authentication time: " +
+                      (totStopTime - totStartTime) / 1000 + " seconds");
     return authenticated;
   }
 
@@ -279,7 +279,7 @@
     Hashtable env = new Hashtable(11);
     env.put(Context.INITIAL_CONTEXT_FACTORY,
             "com.sun.jndi.ldap.LdapCtxFactory");
-    util.debugMessage("setting referrals to: " + referral, 35);
+    MetaCatUtil.logMetacat.info("setting referrals to: " + referral);
     env.put(Context.REFERRAL, referral);
     env.put(Context.PROVIDER_URL, ldapUrl + ldapBase);
     //    non-secure LDAP context; dn are publicly readable
@@ -300,39 +300,39 @@
       // This assumes a dn like "uid=x,o=y,dc=someinst,dc=org"
       int position = user.indexOf(",");
       String comp1 = user.substring(0, position);
-      MetaCatUtil.debugMessage("First comp is: " + comp1, 35);
+      MetaCatUtil.logMetacat.info("First comp is: " + comp1);
       String comp2 = user.substring(position + 1,
                                     user.indexOf(",", position + 1));
-      MetaCatUtil.debugMessage("Second comp is: " + comp2, 35);
+      MetaCatUtil.logMetacat.info("Second comp is: " + comp2);
 
       //String filter = "(&(" + comp1 + "))";
       String filter = "(&(" + comp1 + ")(" + comp2 + "))";
-      MetaCatUtil.debugMessage("Filter is: " + filter, 35);
-      MetaCatUtil.debugMessage("Provider URL is: " + ldapUrl + ldapBase, 35);
+      MetaCatUtil.logMetacat.info("Filter is: " + filter);
+      MetaCatUtil.logMetacat.info("Provider URL is: " + ldapUrl + ldapBase);
       NamingEnumeration answer;
       try {
-        util.debugMessage("Trying search 1: " + filter, 35);
+        MetaCatUtil.logMetacat.info("Trying search 1: " + filter);
         answer = ctx.search("", filter, ctls);
-        util.debugMessage("Search 1 complete", 35);
+        MetaCatUtil.logMetacat.info("Search 1 complete");
         if (answer == null) {
-          util.debugMessage("Search 1 answer is null.", 35);
+          MetaCatUtil.logMetacat.info("Search 1 answer is null.");
         }
         if (answer.hasMore()) {
-          util.debugMessage("Search 1 has answers.", 35);
+          MetaCatUtil.logMetacat.info("Search 1 has answers.");
           SearchResult sr = (SearchResult) answer.next();
           identifier = sr.getName();
-          util.debugMessage("Originally Found: " + identifier, 35);
+          MetaCatUtil.logMetacat.info("Originally Found: " + identifier);
           return identifier;
         }
       }
       catch (InvalidSearchFilterException e) {
-        util.debugMessage("Invalid Filter exception thrown (if1)", 35);
+        MetaCatUtil.logMetacat.info("Invalid Filter exception thrown (if1)");
       }
 
       // That failed, so check if it is just a username
       filter = "(" + user + ")";
       try {
-        MetaCatUtil.debugMessage("Trying again: " + filter, 35);
+        MetaCatUtil.logMetacat.info("Trying again: " + filter);
         answer = ctx.search("", filter, ctls);
         if (answer.hasMore()) {
           SearchResult sr = (SearchResult) answer.next();
@@ -344,7 +344,7 @@
             identifier = identifier.substring(identifier.lastIndexOf("/") + 1,
                                               identifier.indexOf(","));
           }
-          util.debugMessage("Found: " + identifier, 35);
+          MetaCatUtil.logMetacat.info("Found: " + identifier);
           return identifier;
         }
       }
@@ -352,7 +352,7 @@
 
       // Maybe its a user id (uid)
       filter = "(uid=" + user + ")";
-      MetaCatUtil.debugMessage("Trying again: " + filter, 35);
+      MetaCatUtil.logMetacat.info("Trying again: " + filter);
       answer = ctx.search("", filter, ctls);
       if (answer.hasMore()) {
         SearchResult sr = (SearchResult) answer.next();
@@ -364,13 +364,13 @@
           identifier = identifier.substring(identifier.lastIndexOf("/") + 1,
                                             identifier.indexOf(","));
         }
-        util.debugMessage("Found: " + identifier, 35);
+        MetaCatUtil.logMetacat.info("Found: " + identifier);
       }
       else {
 
         // maybe its just a common name
         filter = "(cn=" + user + ")";
-        MetaCatUtil.debugMessage("Trying again: " + filter, 35);
+        MetaCatUtil.logMetacat.info("Trying again: " + filter);
         NamingEnumeration answer2 = ctx.search("", filter, ctls);
         if (answer2.hasMore()) {
           SearchResult sr = (SearchResult) answer2.next();
@@ -382,13 +382,13 @@
             identifier = identifier.substring(identifier.lastIndexOf("/") + 1,
                                               identifier.indexOf(","));
           }
-          util.debugMessage("Found: " + identifier, 35);
+          MetaCatUtil.logMetacat.info("Found: " + identifier);
         }
         else {
 
           // ok, last resort, is it a surname?
           filter = "(sn=" + user + ")";
-          MetaCatUtil.debugMessage("Trying again: " + filter, 35);
+          MetaCatUtil.logMetacat.info("Trying again: " + filter);
           NamingEnumeration answer3 = ctx.search("", filter, ctls);
           if (answer3.hasMore()) {
             SearchResult sr = (SearchResult) answer3.next();
@@ -401,7 +401,7 @@
               identifier = identifier.substring(identifier.lastIndexOf("/") + 1,
                                                 identifier.indexOf(","));
             }
-            util.debugMessage("Found: " + identifier, 35);
+            MetaCatUtil.logMetacat.info("Found: " + identifier);
           }
         }
       }
@@ -409,11 +409,11 @@
       ctx.close();
     }
     catch (NamingException e) {
-      util.debugMessage("Naming exception while getting dn: " + e, 35);
+      MetaCatUtil.logMetacat.info("Naming exception while getting dn: " + e);
       throw new NamingException(
           "Naming exception in AuthLdap.getIdentifyingName: " + e);
     }
-    MetaCatUtil.debugMessage("Returning found identifier as: " + identifier, 35);
+    MetaCatUtil.logMetacat.info("Returning found identifier as: " + identifier);
     return identifier;
   }
 
@@ -495,8 +495,8 @@
         }
       }
       catch (SizeLimitExceededException slee) {
-        util.debugMessage("LDAP Server size limit exceeded. " +
-                          "Returning incomplete record set.", 35);
+        MetaCatUtil.logMetacat.info("LDAP Server size limit exceeded. " +
+                          "Returning incomplete record set.");
       }
 
       // initialize users[]; fill users[]
@@ -514,7 +514,7 @@
 
     }
     catch (NamingException e) {
-      util.debugMessage("Problem getting users in AuthLdap.getUsers:" + e, 35);
+      MetaCatUtil.logMetacat.info("Problem getting users in AuthLdap.getUsers:" + e);
       //e.printStackTrace(System.err);
       throw new ConnectException(
           "Problem getting users in AuthLdap.getUsers:" + e);
@@ -566,8 +566,8 @@
         }
       }
       catch (SizeLimitExceededException slee) {
-        util.debugMessage("LDAP Server size limit exceeded. " +
-                          "Returning incomplete record set.", 35);
+        MetaCatUtil.logMetacat.info("LDAP Server size limit exceeded. " +
+                          "Returning incomplete record set.");
       }
 
       // initialize users[]; fill users[]
@@ -581,8 +581,8 @@
 
     }
     catch (NamingException e) {
-      util.debugMessage("Problem getting users for a group in " +
-                        "AuthLdap.getUsers:" + e, 30);
+      MetaCatUtil.logMetacat.info("Problem getting users for a group in " +
+                        "AuthLdap.getUsers:" + e);
       throw new ConnectException(
           "Problem getting users for a group in AuthLdap.getUsers:" + e);
     }
@@ -645,11 +645,11 @@
       else {
         filter = "(& " + gfilter + "(uniqueMember=" + foruser + "))";
       }
-      MetaCatUtil.debugMessage("searching for groups: " + filter, 35);
+      MetaCatUtil.logMetacat.info("searching for groups: " + filter);
       NamingEnumeration namingEnum = ctx.search(ldapBase, filter, ctls);
 
       // Print the groups
-      MetaCatUtil.debugMessage("getting group results.", 50);
+      MetaCatUtil.logMetacat.info("getting group results.");
       while (namingEnum.hasMore()) {
         SearchResult sr = (SearchResult) namingEnum.next();
         tempAttr = sr.getAttributes();
@@ -662,8 +662,8 @@
         }
 
         gvec.add(sr.getName() + "," + ldapBase);
-        MetaCatUtil.debugMessage("group " + sr.getName() +
-                                 " added to Group vector", 35);
+        MetaCatUtil.logMetacat.info("group " + sr.getName() +
+                                 " added to Group vector");
       }
       // Close the context when we're done
       ctx.close();
@@ -672,22 +672,21 @@
     catch (ReferralException re) {
       refExc = re;
       Thread t = new Thread(new GetGroup());
-      util.debugMessage("Starting thread...", 50);
+      MetaCatUtil.logMetacat.info("Starting thread...");
       t.start();
-      util.debugMessage("sleeping for 5 seconds.", 50);
+      MetaCatUtil.logMetacat.info("sleeping for 5 seconds.");
       try {
         Thread.sleep(5000);
       }
       catch (InterruptedException ie) {
-        MetaCatUtil.debugMessage("main thread interrupted: " + ie.getMessage(),
-                                 30);
+        MetaCatUtil.logMetacat.info("main thread interrupted: " + ie.getMessage());
       }
       //this is a manual override of jndi's hideously long time
       //out period.
-      util.debugMessage("Awake after 5 seconds.", 40);
+      MetaCatUtil.logMetacat.info("Awake after 5 seconds.");
       if (referralContext == null) {
-        util.debugMessage("thread timed out...returning groups: " +
-                          gvec.toString(), 35);
+        MetaCatUtil.logMetacat.info("thread timed out...returning groups: " +
+                          gvec.toString());
         String groups[][] = new String[gvec.size()][2];
         for (int i = 0; i < gvec.size(); i++) {
           groups[i][0] = (String) gvec.elementAt(i);
@@ -736,8 +735,8 @@
         dc.close();
       }
       catch (NamingException ne) {
-        MetaCatUtil.debugMessage("Naming Exception in AuthLdap.getGroups" +
-                                 ne.getExplanation() + ne.getMessage(), 30);
+        MetaCatUtil.logMetacat.info("Naming Exception in AuthLdap.getGroups" +
+                                 ne.getExplanation() + ne.getMessage());
       }
     }
     catch (NamingException e) {
@@ -752,8 +751,8 @@
              "Problem getting groups for a user in AuthLdap.getGroups:" + e);*/
     }
 
-    MetaCatUtil.debugMessage("The user is in the following groups: " +
-                             gvec.toString(), 35);
+    MetaCatUtil.logMetacat.info("The user is in the following groups: " +
+                             gvec.toString());
     String groups[][] = new String[gvec.size()][2];
     for (int i = 0; i < gvec.size(); i++) {
       groups[i][0] = (String) gvec.elementAt(i);
@@ -821,8 +820,8 @@
       ctx.close();
     }
     catch (NamingException e) {
-      util.debugMessage("Problem getting attributes in " +
-                        "AuthLdap.getAttributes:" + e, 35);
+      MetaCatUtil.logMetacat.info("Problem getting attributes in " +
+                        "AuthLdap.getAttributes:" + e);
       throw new ConnectException(
           "Problem getting attributes in AuthLdap.getAttributes:" + e);
     }
@@ -932,8 +931,8 @@
 
     }
     catch (NamingException e) {
-      util.debugMessage("Problem getting subtrees in AuthLdap.getSubtrees:"
-                        + e, 30);
+      MetaCatUtil.logMetacat.info("Problem getting subtrees in AuthLdap.getSubtrees:"
+                        + e);
       throw new ConnectException(
           "Problem getting subtrees in AuthLdap.getSubtrees:" + e);
     }
@@ -1081,24 +1080,24 @@
     String user = args[0];
     String password = args[1];
 
-    MetaCatUtil.debugMessage("Creating session...", 20);
+    MetaCatUtil.logMetacat.warn("Creating session...");
     AuthLdap authservice = new AuthLdap();
-    MetaCatUtil.debugMessage("Session exists...", 20);
+    MetaCatUtil.logMetacat.warn("Session exists...");
 
     boolean isValid = false;
     try {
-      MetaCatUtil.debugMessage("Authenticating...", 20);
+      MetaCatUtil.logMetacat.warn("Authenticating...");
       isValid = authservice.authenticate(user, password);
       if (isValid) {
-        MetaCatUtil.debugMessage("Authentication successful for: " + user, 20);
+        MetaCatUtil.logMetacat.warn("Authentication successful for: " + user);
       }
       else {
-        MetaCatUtil.debugMessage("Authentication failed for: " + user, 20);
+        MetaCatUtil.logMetacat.warn("Authentication failed for: " + user);
       }
 
       // Get attributes for the user
       if (isValid) {
-        MetaCatUtil.debugMessage("\nGetting attributes for user....", 20);
+        MetaCatUtil.logMetacat.warn("\nGetting attributes for user....");
         HashMap userInfo = authservice.getAttributes(user, password, user);
         // Print all of the attributes
         Iterator attList = (Iterator) ( ( (Set) userInfo.keySet()).iterator());
@@ -1108,7 +1107,7 @@
           Iterator attvalues = values.iterator();
           while (attvalues.hasNext()) {
             String value = (String) attvalues.next();
-            MetaCatUtil.debugMessage(att + ": " + value, 20);
+            MetaCatUtil.logMetacat.warn(att + ": " + value);
           }
         }
       }
@@ -1115,11 +1114,11 @@
 
       // get the groups
       if (isValid) {
-        MetaCatUtil.debugMessage("\nGetting all groups....", 20);
+        MetaCatUtil.logMetacat.warn("\nGetting all groups....");
         String[][] groups = authservice.getGroups(user, password);
-        MetaCatUtil.debugMessage("Groups found: " + groups.length, 20);
+        MetaCatUtil.logMetacat.warn("Groups found: " + groups.length);
         for (int i = 0; i < groups.length; i++) {
-          MetaCatUtil.debugMessage("Group " + i + ": " + groups[i][0], 20);
+          MetaCatUtil.logMetacat.warn("Group " + i + ": " + groups[i][0]);
         }
       }
 
@@ -1126,11 +1125,11 @@
       // get the groups for the user
       String savedGroup = null;
       if (isValid) {
-        MetaCatUtil.debugMessage("\nGetting groups for user....", 20);
+        MetaCatUtil.logMetacat.warn("\nGetting groups for user....");
         String[][] groups = authservice.getGroups(user, password, user);
-        MetaCatUtil.debugMessage("Groups found: " + groups.length, 20);
+        MetaCatUtil.logMetacat.warn("Groups found: " + groups.length);
         for (int i = 0; i < groups.length; i++) {
-          MetaCatUtil.debugMessage("Group " + i + ": " + groups[i][0], 20);
+          MetaCatUtil.logMetacat.warn("Group " + i + ": " + groups[i][0]);
           savedGroup = groups[i][0];
         }
       }
@@ -1137,26 +1136,26 @@
 
       // get the users for a group
       if (isValid) {
-        MetaCatUtil.debugMessage("\nGetting users for group....", 20);
-        MetaCatUtil.debugMessage("Group: " + savedGroup, 20);
+        MetaCatUtil.logMetacat.warn("\nGetting users for group....");
+        MetaCatUtil.logMetacat.warn("Group: " + savedGroup);
         String[] users = authservice.getUsers(user, password, savedGroup);
-        MetaCatUtil.debugMessage("Users found: " + users.length, 20);
+        MetaCatUtil.logMetacat.warn("Users found: " + users.length);
         for (int i = 0; i < users.length; i++) {
-          MetaCatUtil.debugMessage("User " + i + ": " + users[i], 20);
+          MetaCatUtil.logMetacat.warn("User " + i + ": " + users[i]);
         }
       }
 
       // get all users
       if (isValid) {
-        MetaCatUtil.debugMessage("\nGetting all users ....", 20);
+        MetaCatUtil.logMetacat.warn("\nGetting all users ....");
         String[][] users = authservice.getUsers(user, password);
-        MetaCatUtil.debugMessage("Users found: " + users.length, 20);
+        MetaCatUtil.logMetacat.warn("Users found: " + users.length);
 
       }
 
       // get the whole list groups and users in XML format
       if (isValid) {
-        MetaCatUtil.debugMessage("\nTrying principals....", 20);
+        MetaCatUtil.logMetacat.warn("\nTrying principals....");
         authservice = new AuthLdap();
         String out = authservice.getPrincipals(user, password);
         java.io.File f = new java.io.File("principals.xml");
@@ -1166,15 +1165,15 @@
         buff.flush();
         buff.close();
         fw.close();
-        MetaCatUtil.debugMessage("\nFinished getting principals.", 20);
+        MetaCatUtil.logMetacat.warn("\nFinished getting principals.");
       }
 
     }
     catch (ConnectException ce) {
-      MetaCatUtil.debugMessage(ce.getMessage(), 30);
+      MetaCatUtil.logMetacat.info(ce.getMessage());
     }
     catch (java.io.IOException ioe) {
-      MetaCatUtil.debugMessage("I/O Error writing to file principals.txt", 20);
+      MetaCatUtil.logMetacat.info("I/O Error writing to file principals.txt");
     }
   }
 
@@ -1193,18 +1192,18 @@
       try {
         //revise environment variable
         referralInfo = (String) refExc.getReferralInfo();
-        util.debugMessage("Processing referral (pr0): ", 35);
-        util.debugMessage("PROVIDER_URL set to (pr1): " + referralInfo, 35);
+        MetaCatUtil.logMetacat.info("Processing referral (pr0): ");
+        MetaCatUtil.logMetacat.info("PROVIDER_URL set to (pr1): " + referralInfo);
         //env.put(Context.PROVIDER_URL,referralInfo);
         //env.put(Context.INITIAL_CONTEXT_FACTORY, "com.sun.jndi.ldap.LdapCtxFactory");
         //env.put(Context.SECURITY_PRINCIPAL, userName);
         //env.put(Context.SECURITY_CREDENTIALS, userPassword);
         //env.put(Context.REFERRAL, "throw");
-        //util.debugMessage("Processing referral (pr1.info): " + userName,35);
-        //util.debugMessage("Processing referral (pr2)",35);
+        //MetaCatUtil.logMetacat.info("Processing referral (pr1.info): " + userName,35);
+        //MetaCatUtil.logMetacat.info("Processing referral (pr2)",35);
         //rContext = refExc.getReferralContext(env);
         rContext = refExc.getReferralContext();
-        util.debugMessage("Processing referral (pr3)", 35);
+        MetaCatUtil.logMetacat.info("Processing referral (pr3)");
         //casting the context to dircontext and it will create a
         //autherntication or naming exception if DN and password is incorrect
         referralContext = rContext;
@@ -1212,13 +1211,12 @@
         refDirContext.close();
         //get context and jump out the while loop
         moreReferrals = false;
-        util.debugMessage("Processing referral (pr4)", 35);
+        MetaCatUtil.logMetacat.info("Processing referral (pr4)");
       } //try
       //if referral have another referral excption
       catch (ReferralException re) {
-        util.debugMessage("GOT referral exception (re1): " + re.getMessage(),
-                          35);
-        util.debugMessage("RE details (re2): " + re.toString(true), 35);
+        MetaCatUtil.logMetacat.info("GOT referral exception (re1): " + re.getMessage());
+        MetaCatUtil.logMetacat.info("RE details (re2): " + re.toString(true));
         //keep running in while loop
         moreReferrals = true;
         //assign refExc to new referral exception re
@@ -1226,8 +1224,8 @@
       }
       //catch a authentication exception
       catch (AuthenticationException ae) {
-        util.debugMessage("Error running referral handler thread (ae1): " +
-                          ae.getMessage(), 20);
+        MetaCatUtil.logMetacat.warn("Error running referral handler thread (ae1): " +
+                          ae.getMessage());
         //check if has another referral
         moreReferrals = refExc.skipReferral();
         //don't get the context
@@ -1235,8 +1233,8 @@
       }
       //catch a naming exception
       catch (NamingException ne) {
-        util.debugMessage("Error running referral handler thread (ne1): " +
-                          ne.getMessage(), 20);
+        MetaCatUtil.logMetacat.warn("Error running referral handler thread (ne1): " +
+                          ne.getMessage());
         //check if has another referral
         moreReferrals = refExc.skipReferral();
         //don't get context
@@ -1249,7 +1247,7 @@
       implements Runnable {
     public void run() {
       referralContext = null;
-      MetaCatUtil.debugMessage("getting groups context", 50);
+      MetaCatUtil.logMetacat.info("getting groups context");
       DirContext refDirContext = null;
       boolean moreReferrals = true;
       //set a while loop is because we don't know if a referral excption
@@ -1260,15 +1258,15 @@
           String refInfo = null;
           refInfo = (String) refExc.getReferralInfo();
           if (refInfo != null) {
-            MetaCatUtil.debugMessage("Referral in thread to: " +
-                                     refInfo.toString(), 40);
+            MetaCatUtil.logMetacat.info("Referral in thread to: " +
+                                     refInfo.toString());
           }
           else {
-            MetaCatUtil.debugMessage("getting refInfo Manually", 50);
+            MetaCatUtil.logMetacat.info("getting refInfo Manually");
             refInfo = (String) refExc.getReferralContext().getEnvironment().
                 get(Context.PROVIDER_URL);
           }
-          MetaCatUtil.debugMessage("refInfo: " + refInfo, 40);
+          MetaCatUtil.logMetacat.info("refInfo: " + refInfo);
 
           env.put(Context.INITIAL_CONTEXT_FACTORY,
                   "com.sun.jndi.ldap.LdapCtxFactory");
@@ -1275,9 +1273,9 @@
           env.put(Context.REFERRAL, "throw");
           env.put(Context.PROVIDER_URL, refInfo);
 
-          MetaCatUtil.debugMessage("creating referralContext", 40);
+          MetaCatUtil.logMetacat.info("creating referralContext");
           referralContext = new InitialDirContext(env);
-          MetaCatUtil.debugMessage("referralContext created", 40);
+          MetaCatUtil.logMetacat.info("referralContext created");
           //get context and jump out the while loop
           moreReferrals = false;
         } //try
@@ -1288,8 +1286,8 @@
           refExc = re;
         }
         catch (AuthenticationException ae) {
-          util.debugMessage("Error running referral handler thread (ae2): " +
-                            ae.getMessage(), 50);
+          MetaCatUtil.logMetacat.info("Error running referral handler thread (ae2): " +
+                            ae.getMessage());
           //check if has another referral
           moreReferrals = refExc.skipReferral();
           //don't get the context
@@ -1296,8 +1294,8 @@
           referralContext = null;
         }
         catch (NamingException ne) {
-          util.debugMessage("Error running referral handler thread (ne2): " +
-                            ne.getMessage(), 50);
+          MetaCatUtil.logMetacat.info("Error running referral handler thread (ne2): " +
+                            ne.getMessage());
           //check if has another referral
           moreReferrals = refExc.skipReferral();
           //don't get context
Index: src/edu/ucsb/nceas/metacat/AuthSession.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AuthSession.java	(revision 2588)
+++ src/edu/ucsb/nceas/metacat/AuthSession.java	(revision 2589)
@@ -122,13 +122,13 @@
 
     // if it is still in use invalidate and get a new one
     if ( !session.isNew() ) {
-      MetaCatUtil.debugMessage("in session is not new", 40);
-      MetaCatUtil.debugMessage("the old session id is : " +
-                                session.getId(), 30);
-      MetaCatUtil.debugMessage("the old session username : " +
-                                session.getAttribute("username"), 30);
+      MetaCatUtil.logMetacat.info("in session is not new");
+      MetaCatUtil.logMetacat.info("the old session id is : " +
+                                session.getId());
+      MetaCatUtil.logMetacat.info("the old session username : " +
+                                session.getAttribute("username"));
       session.invalidate();
-      MetaCatUtil.debugMessage("in session is not new", 40);
+      MetaCatUtil.logMetacat.info("in session is not new");
       session = request.getSession(true);
     }
     // store the username, password, and groupname (the first only)
@@ -139,10 +139,10 @@
     if ( groups.length > 0 ) {
       session.setAttribute("groupnames", groups);
     }
-     MetaCatUtil.debugMessage("the new session id is : " +
-                                session.getId(), 30);
-     MetaCatUtil.debugMessage("the new session username : " +
-                                session.getAttribute("username"), 30);
+     MetaCatUtil.logMetacat.info("the new session id is : " +
+                                session.getId());
+     MetaCatUtil.logMetacat.info("the new session username : " +
+                                session.getAttribute("username"));
     return session;
   }
 